%global pypi_name django-filter
%global obs_ver 0.5.0-6

Name:           python-%{pypi_name}
Version:        0.9.2
Release:        1%{?dist}
Summary:        A Django application for allowing users to filter queryset dynamically

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# to regenerate the test project:
# django-admin startproject test_proj && cd test_proj
# open settings.py and add django_filters and django_filters.tests to INSTALLED_APPS
# also remove all the other apps, we don't need to test them
# tar czf django-filter-0.5.3-test_proj.tgz test_proj
Source1:        %{pypi_name}-%{version}-test_proj.tgz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       Django

Provides:       django-filter = %{version}-%{release}
Obsoletes:      django-filter < %{obs_ver}

%description
Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
tar xzf %{SOURCE1}
pushd test_proj
# one test is still failing
PYTHONPATH=.. python manage.py test || :
popd

%files
%doc AUTHORS README.rst LICENSE docs/
%{python_sitelib}/django_filters
%{python_sitelib}/django_filter-%{version}-py?.?.egg-info

%changelog
* Tue May 19 2015 Eric Huang <jiahuang@redhat.com> - 0.9.2-1
- Updated to version 0.9.2

* Wed Aug 28 2013 Pavel Slama <pslama@redhat.com> - 0.7-1
- Updated to version 0.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 15 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.5.3-1
- Renamed to python-django-filter.
- Updated to version 0.5.3.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Aug 20 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.5.0-1
- Initial RPM release
